Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.util
Class PatternSet

    java.lang.Object
      org.gradle.api.tasks.util.PatternSet

    class PatternSet

author:
  Hans Dockter

Property Summary
`boolean` | `caseSensitive`

Constructor Summary
`PatternSet()`
`PatternSet(java.util.Map args)`

Method Summary
`protected def` | `addIncludesAndExcludesToBuilder(def node)`
`def` | `addToAntBuilder(def node, java.lang.String childNodeName = null)`
`PatternSet` | `copyFrom(PatternFilterable sourcePattern)`
`boolean` | `equals(java.lang.Object o)`
`PatternFilterable` | `exclude(java.lang.String excludes)`
`PatternFilterable` | `exclude(java.lang.Iterable excludes)`
`Spec` | `getAsSpec()`
`java.util.Set` | `getExcludes()`
`java.util.Set` | `getIncludes()`
`int` | `hashCode()`
`PatternFilterable` | `include(java.lang.String includes)`
`PatternFilterable` | `include(java.lang.Iterable includes)`
`PatternSet` | `intersect()`
`PatternSet` | `setExcludes(java.lang.Iterable excludes)`
`static def` | `setGlobalExcludes(java.util.Collection excludes)`
`PatternSet` | `setIncludes(java.lang.Iterable includes)`

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### caseSensitive

    boolean caseSensitive

Constructor Detail

### PatternSet

    public PatternSet()

### PatternSet

    public PatternSet(java.util.Map args)

Method Detail

### addIncludesAndExcludesToBuilder

    protected def addIncludesAndExcludesToBuilder(def node)

### addToAntBuilder

    public def addToAntBuilder(def node, java.lang.String childNodeName = null)

### copyFrom

    public PatternSet copyFrom(PatternFilterable sourcePattern)

### equals

    public boolean equals(java.lang.Object o)

### exclude

    public PatternFilterable exclude(java.lang.String excludes)

### exclude

    public PatternFilterable exclude(java.lang.Iterable excludes)

### getAsSpec

    public Spec getAsSpec()

### getExcludes

    public java.util.Set getExcludes()

### getIncludes

    public java.util.Set getIncludes()

### hashCode

    public int hashCode()

### include

    public PatternFilterable include(java.lang.String includes)

### include

    public PatternFilterable include(java.lang.Iterable includes)

### intersect

    public PatternSet intersect()

### setExcludes

    public PatternSet setExcludes(java.lang.Iterable excludes)

### setGlobalExcludes

    public static def setGlobalExcludes(java.util.Collection excludes)

### setIncludes

    public PatternSet setIncludes(java.lang.Iterable includes)

Groovy Documentation